Activity log for bug #761971

Date Who What changed Old value New value Message
2011-04-15 16:52:52 Patrick Wright bug added bug
2011-04-15 19:14:41 Patrick Wright tags apport-bug i386 iso-testing natty qa apport-bug beta2 i386 iso-testing natty qa
2011-04-26 21:46:48 Clint Byrum mdadm (Ubuntu): status New Confirmed
2011-04-26 21:46:56 Clint Byrum mdadm (Ubuntu): importance Undecided High
2011-04-26 21:50:00 Clint Byrum nominated for series Ubuntu Natty
2011-04-26 21:50:00 Clint Byrum bug task added mdadm (Ubuntu Natty)
2011-04-26 21:50:00 Clint Byrum nominated for series Ubuntu Oneiric
2011-04-26 21:50:54 Clint Byrum bug added subscriber Clint Byrum
2011-04-27 09:16:47 Kate Stewart bug added subscriber Kate Stewart
2011-04-27 09:17:28 Kate Stewart bug added subscriber Dave Walker
2011-04-27 09:19:23 Kate Stewart bug task added mdadm (Ubuntu Oneiric)
2011-04-27 09:19:31 Kate Stewart mdadm (Ubuntu Natty): milestone natty-updates
2011-04-27 09:19:51 Kate Stewart mdadm (Ubuntu Oneiric): status New Confirmed
2011-04-27 09:19:56 Kate Stewart mdadm (Ubuntu Oneiric): importance Undecided High
2011-04-27 09:21:19 Kate Stewart mdadm (Ubuntu Natty): assignee Ubuntu Server Team (ubuntu-server)
2011-04-27 22:06:58 Clint Byrum mdadm (Ubuntu Natty): assignee Ubuntu Server Team (ubuntu-server) Clint Byrum (clint-fewbar)
2011-04-27 22:07:04 Clint Byrum mdadm (Ubuntu Natty): status Confirmed In Progress
2011-04-27 22:23:57 Clint Byrum bug added subscriber Ubuntu Stable Release Updates Team
2011-04-28 07:52:11 Martin Pitt mdadm (Ubuntu Natty): status In Progress Fix Committed
2011-04-28 07:52:14 Martin Pitt bug added subscriber SRU Verification
2011-04-28 07:52:16 Martin Pitt tags apport-bug beta2 i386 iso-testing natty qa apport-bug beta2 i386 iso-testing natty qa verification-needed
2011-04-28 18:21:55 Clint Byrum description Binary package hint: mdadm followed test steps for SR1I-001 from testcases.qa.ubuntu.com/Install/ServerRAID1 Step 21. booting from cold-degraded array Once the disk is disconnected and system is powered on there is no warning before or after the user logs in ProblemType: Bug DistroRelease: Ubuntu 11.04 Package: mdadm 3.1.4-1+8efb9d1ubuntu4 ProcVersionSignature: Ubuntu 2.6.38-8.42-generic-pae 2.6.38.2 Uname: Linux 2.6.38-8-generic-pae i686 Architecture: i386 Date: Fri Apr 15 09:38:09 2011 InstallationMedia: Ubuntu-Server 11.04 "Natty Narwhal" - Beta i386 (20110413) Lsusb: Bus 001 Device 002: ID 80ee:0021 Bus 001 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub MDadmExamine.dev.sda: Error: command ['/sbin/mdadm', '-E', '/dev/sda'] failed with exit code 1: mdadm: cannot open /dev/sda: Permission denied MDadmExamine.dev.sda1: Error: command ['/sbin/mdadm', '-E', '/dev/sda1'] failed with exit code 1: mdadm: cannot open /dev/sda1: Permission denied MDadmExamine.dev.sda2: Error: command ['/sbin/mdadm', '-E', '/dev/sda2'] failed with exit code 1: mdadm: cannot open /dev/sda2: Permission denied MDadmExamine.dev.sda5: Error: command ['/sbin/mdadm', '-E', '/dev/sda5'] failed with exit code 1: mdadm: cannot open /dev/sda5: Permission denied MDadmExamine.dev.sdb: Error: command ['/sbin/mdadm', '-E', '/dev/sdb'] failed with exit code 1: mdadm: cannot open /dev/sdb: Permission denied MDadmExamine.dev.sdb1: Error: command ['/sbin/mdadm', '-E', '/dev/sdb1'] failed with exit code 1: mdadm: cannot open /dev/sdb1: Permission denied MDadmExamine.dev.sdb2: Error: command ['/sbin/mdadm', '-E', '/dev/sdb2'] failed with exit code 1: mdadm: cannot open /dev/sdb2: Permission denied MDadmExamine.dev.sdb5: Error: command ['/sbin/mdadm', '-E', '/dev/sdb5'] failed with exit code 1: mdadm: cannot open /dev/sdb5: Permission denied MachineType: innotek GmbH VirtualBox ProcEnviron: LANG=en_US.UTF-8 SHELL=/bin/bash ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.38-8-generic-pae root=UUID=dac5f344-e6fa-457d-8c14-ff55eabd699e ro quiet SourcePackage: mdadm UpgradeStatus: No upgrade log present (probably fresh install) dmi.bios.date: 12/01/2006 dmi.bios.vendor: innotek GmbH dmi.bios.version: VirtualBox dmi.modalias: dmi:bvninnotekGmbH:bvrVirtualBox:bd12/01/2006:svninnotekGmbH:pnVirtualBox:pvr1.2: dmi.product.name: VirtualBox dmi.product.version: 1.2 dmi.sys.vendor: innotek GmbH etc.blkid.tab: Error: [Errno 2] No such file or directory: '/etc/blkid.tab' ============ TEST CASE: Follow the (rather lengthy): http://testcases.qa.ubuntu.com/Install/ServerRAID1 At step 21, this bug causes there to be no notification of degraded arrays. Sometimes this manifests only at step 24 (there is a small race between udev and mdadm, I think, that causes this to be unreliable). When the package is fixed, the degraded status is always displayed at the right times. ============ Binary package hint: mdadm followed test steps for SR1I-001 from testcases.qa.ubuntu.com/Install/ServerRAID1 Step 21. booting from cold-degraded array Once the disk is disconnected and system is powered on there is no warning before or after the user logs in ProblemType: Bug DistroRelease: Ubuntu 11.04 Package: mdadm 3.1.4-1+8efb9d1ubuntu4 ProcVersionSignature: Ubuntu 2.6.38-8.42-generic-pae 2.6.38.2 Uname: Linux 2.6.38-8-generic-pae i686 Architecture: i386 Date: Fri Apr 15 09:38:09 2011 InstallationMedia: Ubuntu-Server 11.04 "Natty Narwhal" - Beta i386 (20110413) Lsusb:  Bus 001 Device 002: ID 80ee:0021  Bus 001 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub MDadmExamine.dev.sda: Error: command ['/sbin/mdadm', '-E', '/dev/sda'] failed with exit code 1: mdadm: cannot open /dev/sda: Permission denied MDadmExamine.dev.sda1: Error: command ['/sbin/mdadm', '-E', '/dev/sda1'] failed with exit code 1: mdadm: cannot open /dev/sda1: Permission denied MDadmExamine.dev.sda2: Error: command ['/sbin/mdadm', '-E', '/dev/sda2'] failed with exit code 1: mdadm: cannot open /dev/sda2: Permission denied MDadmExamine.dev.sda5: Error: command ['/sbin/mdadm', '-E', '/dev/sda5'] failed with exit code 1: mdadm: cannot open /dev/sda5: Permission denied MDadmExamine.dev.sdb: Error: command ['/sbin/mdadm', '-E', '/dev/sdb'] failed with exit code 1: mdadm: cannot open /dev/sdb: Permission denied MDadmExamine.dev.sdb1: Error: command ['/sbin/mdadm', '-E', '/dev/sdb1'] failed with exit code 1: mdadm: cannot open /dev/sdb1: Permission denied MDadmExamine.dev.sdb2: Error: command ['/sbin/mdadm', '-E', '/dev/sdb2'] failed with exit code 1: mdadm: cannot open /dev/sdb2: Permission denied MDadmExamine.dev.sdb5: Error: command ['/sbin/mdadm', '-E', '/dev/sdb5'] failed with exit code 1: mdadm: cannot open /dev/sdb5: Permission denied MachineType: innotek GmbH VirtualBox ProcEnviron:  LANG=en_US.UTF-8  SHELL=/bin/bash ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.38-8-generic-pae root=UUID=dac5f344-e6fa-457d-8c14-ff55eabd699e ro quiet SourcePackage: mdadm UpgradeStatus: No upgrade log present (probably fresh install) dmi.bios.date: 12/01/2006 dmi.bios.vendor: innotek GmbH dmi.bios.version: VirtualBox dmi.modalias: dmi:bvninnotekGmbH:bvrVirtualBox:bd12/01/2006:svninnotekGmbH:pnVirtualBox:pvr1.2: dmi.product.name: VirtualBox dmi.product.version: 1.2 dmi.sys.vendor: innotek GmbH etc.blkid.tab: Error: [Errno 2] No such file or directory: '/etc/blkid.tab'
2011-04-28 18:27:40 Patrick Wright tags apport-bug beta2 i386 iso-testing natty qa verification-needed apport-bug beta2 i386 iso-testing natty qa verification-done
2011-05-03 05:25:26 Launchpad Janitor mdadm (Ubuntu Natty): status Fix Committed Fix Released
2011-05-03 05:26:12 Martin Pitt mdadm (Ubuntu Oneiric): status Confirmed Fix Released
2012-05-21 23:18:17 Launchpad Janitor branch linked lp:~dmitrij.ledkov/ubuntu/natty/mdadm/natty-updates
2012-08-21 16:56:43 Launchpad Janitor branch linked lp:~ubuntu-branches/ubuntu/quantal/mdadm/quantal